
Example Tiktok 3D Select Object captcha
1. Create task
Request
POST https://api.omocaptcha.com/v2/createTask
widthView and heightView are the rendered dimensions of the image on the page, not the original image size. Use the browser’s Inspect element tool to get the correct values.Response
Success:errorId = 0 and the taskId on success.
Failure:
errorId = 1 with an errorCode. See Error codes for details.
2. Get task result
Request
POST https://api.omocaptcha.com/v2/getTaskResult
Response
Success:errorId = 0 and status = ready. Read the result from solution:
pointA— coordinates of the first object (x, y), relative to thewidthView/heightViewyou sent.pointB— coordinates of the second object.
status = processing. Wait ~2 seconds and call getTaskResult again.
Failure:
errorId = 1 and status = fail.

